Subject: Re: [PATCH v6 2/2] cat-file: add mailmap support to --batch-check option

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 14 Dec 2022 12:27:20 +0100

On Thu, Dec 01 2022, Siddharth Asthana wrote:

> 2. Make one call to `oid_object_info_extended()` to get the type of the
>    object. Then, if the object type is either of commit or tag, make a
>    call to `read_object_file()` to read the contents of the object.
> [...]
> +			buf = read_object_file(&data->oid, &data->type, &data->size);

Could you please change this to:

	buf = repo_read_object_file(the_repository, &data->oid, &data->type,
				    &data->size);

I.e. just use the repo_*() variant. We have been trying for a long time
to migrate away from these, and new code should use the non-macro
variants.

I noticed this because I have a local topic to do that migration, which
has a semantic conflict with this.